If you think a bug might affect users in the 57 release, please set the correct tracking and status flags for Release Management.

"Close tab" closes browser

RESOLVED INVALID

Status

()

Firefox
Tabbed Browser
--
critical
RESOLVED INVALID
12 years ago
12 years ago

People

(Reporter: Andrew Stone, Unassigned)

Tracking

Firefox Tracking Flags

(Not tracked)

Details

(Reporter)

Description

12 years ago
User-Agent:       Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050720 Firefox/1.0.4 (Ubuntu package 1.0.2 MFSA2005-56)
Build Identifier: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050720 Firefox/1.0.4 (Ubuntu package 1.0.2 MFSA2005-56)

Not specific to any website.

Either by the red x or by File | "Close Tab" or by right clicking on the tab and
selecting "Close tab" -- all close the entire browser.

expected: just close the tab window

Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050720 Firefox/1.0.4
(Ubuntu package 1.0.2 MFSA2005-56)

uname -a :  Linux ubuntu 2.6.10-5-386 #1 Fri Jun 24 16:53:01 UTC 2005 i686
GNU/Linux 


Reproducible: Always

Steps to Reproduce:
1.By an method (File | Close tab, click on red "x", right click on tab and
select "Close tab"
2.
3.

Actual Results:  
entire browser closed instead of just the tab

Expected Results:  
just close the tab

Comment 1

12 years ago
Could this be extension related? Do you see this when you start Firefox in safe
mode? http://kb.mozillazine.org/Safe_mode
(Reporter)

Comment 2

12 years ago
The problem did not occur while running in safe-mode.  The only Extensions I
have installed are Web Developer 0.9.3 and English (GB) Language Pack 1.0.1. 
Neither has been updated but Firefox has.  So it would appear that an update to
Firefox broke the extension.  I've had this same configuration for a while now
without issue.
(Reporter)

Comment 3

12 years ago
Confirmed it was the Web Developer 0.9.3 extension causing the issue. 
Uninstalled the extension and no problems, reinstalled the extension and issue
returned.
As per comment 3 this is an extension problem therefore marking invalid. Please
contact the extension author about the problem.

If you are able to say which firefox upgrade (official not an Ubuntu third party
build) broke this then please provide those details. 

The version of firefox you are using has been out for several months so I doubt
that this is caused by a recent upgrade to a new version.
Mark Invalid as per previous comment (must have missed selecting the item)
Status: UNCONFIRMED → RESOLVED
Last Resolved: 12 years ago
Resolution: --- → INVALID
You need to log in before you can comment on or make changes to this bug.